Bug 955669 - A collection can get twice-enabled
Summary: A collection can get twice-enabled
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: scl-utils
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Jan Zeleny
QA Contact: Lukas Zachar
URL:
Whiteboard:
Keywords: ZStream
Depends On: 955668 955670
Blocks: 947775 957198 961429
TreeView+ depends on / blocked
 
Reported: 2013-04-23 13:46 UTC by Jan Zeleny
Modified: 2013-11-21 06:05 UTC (History)
3 users (show)

(edit)
* When starting an inspection of what collections are already enabled, a wrong variable was taken as a source of this information. In a specific case, when users ran a shell in an scl_enabled environment, and tried to enable an already-enabled collection, then the collection was enabled twice. This could have caused problems if the enable scriptlets were not prepared for something like this, and might have destroyed some parts of the original environment. This update accepts the correct variable as a source of information about the already-enabled collections, and the collections are no longer enabled multiple times.
Clone Of: 955668
(edit)
Last Closed: 2013-11-21 06:05:07 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1554 normal SHIPPED_LIVE scl-utils bug fix update 2013-11-20 21:40:27 UTC

Description Jan Zeleny 2013-04-23 13:46:40 UTC
+++ This bug was initially created as a clone of Bug #955668 +++

When running scl enable <collection> bash, a variable $X_SCLS should be filled with a list of collections that are enabled. When calling scl enable for the second time, content of $x_scls is read instead of $X_SCLS. In case of enabling the same collection again, it would lead to running collection's enable scriptlet twice.

In some specific cases, this can lead to malformed environment, as one of the basic assumptions of scl-utils is that once collection is enabled, it won't be enabled for the second time.

Comment 4 errata-xmlrpc 2013-11-21 06:05:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1554.html


Note You need to log in before you can comment on or make changes to this bug.